OpenVDB 5.1.0

Classes | Functions
openvdb::v5_1::points::point_mask_internal Namespace Reference

## Classes
struct | GridCombinerOp
| Combines multiple grids into one by stealing leaf nodes and summing voxel values This class is designed to work with thread local storage containers such as tbb::combinable. More...
struct | PointsToScalarOp
| Compute scalar grid from PointDataGrid while evaluating the point filter. More...
struct | PointsToTransformedScalarOp
| Compute scalar grid from PointDataGrid using a different transform and while evaluating the point filter. More...

## Functions
template<typename PointDataGridT , typename GridT >
GridT::Ptr | convertPointsToScalar (const PointDataGridT &points, const std::vector< Name > &includeGroups, const std::vector< Name > &excludeGroups)
template<typename PointDataGridT , typename GridT >
GridT::Ptr | convertPointsToScalar (const PointDataGridT &points, const openvdb::math::Transform &transform, const std::vector< Name > &includeGroups, const std::vector< Name > &excludeGroups)

## Function Documentation

## ◆ convertPointsToScalar() [1/2]

GridT::Ptr openvdb::v5_1::points::point_mask_internal::convertPointsToScalar | ( | const PointDataGridT & | points,
|  | const std::vector< Name > & | includeGroups,
|  | const std::vector< Name > & | excludeGroups
| ) |  |
| inline

## ◆ convertPointsToScalar() [2/2]

GridT::Ptr openvdb::v5_1::points::point_mask_internal::convertPointsToScalar | ( | const PointDataGridT & | points,
|  | const openvdb::math::Transform & | transform,
|  | const std::vector< Name > & | includeGroups,
|  | const std::vector< Name > & | excludeGroups
| ) |  |
| inline